<!DOCTYPE html>
<html th:replace="/parts/template :: template(~{::title}, ~{::section})" xmlns:th="http://www.w3.org/1999/xhtml">

<head>
    <title>Change User Profile</title>
</head>
<body>
<section>
    <form
            th:action="@{/save-user}" method="post" th:object="${user}">
        <table style = "text-align:center" >
            <tr>
                <th>Username</th>
                <th>Roles</th>
                <th>Is active </th>
            </tr>
            <tr>
                <td th:text="${user.username}"></td>
                <td th:text="${user.roles}"></td>
                <td th:text="${user.enabled}? 'yes' : 'no'"></td>
            </tr>
        </table>
        <th:block th:each="role : ${T(ua.yaroshenko.springapp.model.Role).values()}">
            <input type="checkbox" th:name="${role}" th:value="${role.displayValue}" th:checked="${#strings.contains(user.roles, role)}"/>
            <label th:text="${role.displayValue}"></label>
        </th:block>
        <input type="hidden" th:value="${user.username}" th:name="username">
        <input type="submit" value="Save"/>
    </form>
    </input>
</section>
</body>
</html>